class Hack:
    numInstances = 0
    def count(cls):                    # Licznik instancji zapisany w klasie
        cls.numInstances += 1          # cls jest obiektem klasy najniższego poziomu
    def __init__(self):
        self.count()                   # Przekazuje self.__class__
    count = classmethod(count)

class Sub(Hack):
    numInstances = 0
    def __init__(self):                # Przeciążenie metody __init__ (w celach demonstracyjnych)
        Hack.__init__(self)

class Other(Hack):                     # Odziedziczenie metody __init__
    numInstances = 0

